---
title: Get statement info
slug: apis/accounts/account-mgmt-apis/get-statement-info
description: Retrieve account statement metadata via GET /core/v1/dda/accounts/{accountnumber}/statements, including period start and end dates.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-06-08T09:05:18.136Z
---



## API reference

Returns bank statement information for the specified account. Also returns a unique statement ID you can use to request a PDF statement file for the specific account number. Request the file info in the [Get statement doc info](docId:4tf9s1UGK6evHIFgQ2zFS) call.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /v1/dda/accounts/{accountNumber}/statements",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/statements",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "ORrps9PK6LtEodAlYXBX5",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements' \\\n--header 'Authorization: Bearer <token>'",
        "customLabel": ""
      },
      {
        "id": "tbGWSLN2wwEgZfgRtaSaS",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/core/v1/dda/accounts/2819503463/statements',\n  'headers': {\n    'Authorization': 'Bearer <token>'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "EkJqoa_nOUUzGCBSbTUc4",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {\n  'Authorization': 'Bearer <token>'\n}\nconn.request(\"GET\", \"/core/v1/dda/accounts/2819503463/statements\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "adSsnG-9Ccb_BPNETFOI8",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Authorization\"] = \"Bearer <token>\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "MEdoSB2CABSIll1kXZw6K",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/core/v1/dda/accounts/2819503463/statements\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Authorization\", \"Bearer <token>\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "ORrps9PK6LtEodAlYXBX5"
  },
  "results": {
    "languages": [
      {
        "id": "Bpj4xGoxiAWF9cgszfQRr",
        "language": "200",
        "code": "{\n    \"results\": [\n        {\n            \"id\": \"6daf4caa-34d5-4e65-9f98-b388004f0af7\",\n            \"status\": \"Completed\",\n            \"accountNumber\": \"2819503463\",\n            \"description\": \"10/1/2025 - 10/31/2025\",\n            \"createdAt\": \"2025-11-01T00:47:47.293-04:00\",\n            \"periodStart\": \"2025-10-01T00:00:00-04:00\",\n            \"periodEnd\": \"2025-10-31T00:00:00-04:00\",\n            \"closedAt\": \"2025-11-01T00:47:47.483-04:00\",\n            \"partnerId\": \"cd9c12f4-7691-424a-b38b-af5b0134c611\",\n            \"productId\": \"83bed086-8182-4151-a1e3-af5b01362783\",\n            \"productName\": \"Devra Personal Checking\",\n            \"beginBalance\": 905000,\n            \"endBalance\": 905000,\n            \"entryCount\": 0,\n            \"debitTotal\": 0,\n            \"creditTotal\": 0,\n            \"documentCount\": 1,\n            \"depositTotal\": 0,\n            \"withdrawalTotal\": 0,\n            \"feesTotal\": 0,\n            \"interestPaidThisPeriod\": 0,\n            \"interestPaidYtd\": 0,\n            \"interestAccruedThisPeriod\": 0,\n            \"interestAccruedYtd\": 0,\n            \"annualPercentageYieldEarnedBps\": 0,\n            \"averageDailyBalance\": 905000,\n            \"currency\": \"usd\",\n            \"mailingLine1\": \"Jerry Penn\",\n            \"mailingLine2\": \"12 Main St\",\n            \"mailingLine5\": \"New York NY 10001\",\n            \"mailingLine6\": \"US\",\n            \"lastModifiedAt\": \"2025-11-01T03:03:56.664588-04:00\"\n        },\n        {\n            \"id\": \"27422396-20e0-4ad7-8700-b3690051d30c\",\n            \"status\": \"Completed\",\n            \"accountNumber\": \"2819503463\",\n            \"description\": \"9/1/2025 - 9/30/2025\",\n            \"createdAt\": \"2025-10-01T00:57:54.943-04:00\",\n            \"periodStart\": \"2025-09-01T00:00:00-04:00\",\n            \"periodEnd\": \"2025-09-30T00:00:00-04:00\",\n            \"closedAt\": \"2025-10-01T00:57:55.023-04:00\",\n            \"partnerId\": \"cd9c12f4-7691-424a-b38b-af5b0134c611\",\n            \"productId\": \"83bed086-8182-4151-a1e3-af5b01362783\",\n            \"productName\": \"Devra Personal Checking\",\n            \"beginBalance\": 910000,\n            \"endBalance\": 905000,\n            \"entryCount\": 2,\n            \"debitTotal\": 5000,\n            \"creditTotal\": 0,\n            \"documentCount\": 2,\n            \"depositTotal\": 0,\n            \"withdrawalTotal\": 5000,\n            \"feesTotal\": 0,\n            \"interestPaidThisPeriod\": 0,\n            \"interestPaidYtd\": 0,\n            \"interestAccruedThisPeriod\": 0,\n            \"interestAccruedYtd\": 0,\n            \"annualPercentageYieldEarnedBps\": 0,\n            \"averageDailyBalance\": 907833,\n            \"currency\": \"usd\",\n            \"mailingLine1\": \"Jerry Penn\",\n            \"mailingLine2\": \"12 Main St\",\n            \"mailingLine5\": \"New York NY 10001\",\n            \"mailingLine6\": \"US\",\n            \"lastModifiedAt\": \"2025-10-01T05:03:06.3427273-04:00\"\n        },\n        {\n            \"id\": \"3e9f8061-0c26-4bf3-8788-b34b004eee9d\",\n            \"status\": \"Completed\",\n            \"accountNumber\": \"2819503463\",\n            \"description\": \"8/1/2025 - 8/31/2025\",\n            \"createdAt\": \"2025-09-01T00:47:23.047-04:00\",\n            \"periodStart\": \"2025-08-01T00:00:00-04:00\",\n            \"periodEnd\": \"2025-08-31T00:00:00-04:00\",\n            \"closedAt\": \"2025-09-01T00:47:23.133-04:00\",\n            \"partnerId\": \"cd9c12f4-7691-424a-b38b-af5b0134c611\",\n            \"productId\": \"83bed086-8182-4151-a1e3-af5b01362783\",\n            \"productName\": \"Devra Personal Checking\",\n            \"beginBalance\": 911000,\n            \"endBalance\": 910000,\n            \"entryCount\": 3,\n            \"debitTotal\": 16000,\n            \"creditTotal\": 15000,\n            \"documentCount\": 1,\n            \"depositTotal\": 15000,\n            \"withdrawalTotal\": 16000,\n            \"feesTotal\": 0,\n            \"interestPaidThisPeriod\": 0,\n            \"interestPaidYtd\": 0,\n            \"interestAccruedThisPeriod\": 0,\n            \"interestAccruedYtd\": 0,\n            \"annualPercentageYieldEarnedBps\": 0,\n            \"averageDailyBalance\": 909677,\n            \"currency\": \"usd\",\n            \"mailingLine1\": \"Jerry Penn\",\n            \"mailingLine2\": \"12 Main St\",\n            \"mailingLine5\": \"New York NY 10001\",\n            \"mailingLine6\": \"US\",\n            \"lastModifiedAt\": \"2025-09-01T05:09:41.7781479-04:00\"\n        },\n        {\n            \"id\": \"f5486212-6c3a-4cdf-a185-b32c004ad9b8\",\n            \"status\": \"Completed\",\n            \"accountNumber\": \"2819503463\",\n            \"description\": \"7/1/2025 - 7/31/2025\",\n            \"createdAt\": \"2025-08-01T00:32:31.487-04:00\",\n            \"periodStart\": \"2025-07-01T00:00:00-04:00\",\n            \"periodEnd\": \"2025-07-31T00:00:00-04:00\",\n            \"closedAt\": \"2025-08-01T00:32:31.933-04:00\",\n            \"partnerId\": \"cd9c12f4-7691-424a-b38b-af5b0134c611\",\n            \"productId\": \"83bed086-8182-4151-a1e3-af5b01362783\",\n            \"productName\": \"Devra Personal Checking\",\n            \"beginBalance\": 901000,\n            \"endBalance\": 911000,\n            \"entryCount\": 1,\n            \"debitTotal\": 0,\n            \"creditTotal\": 10000,\n            \"documentCount\": 1,\n            \"depositTotal\": 10000,\n            \"withdrawalTotal\": 0,\n            \"feesTotal\": 0,\n            \"interestPaidThisPeriod\": 0,\n            \"interestPaidYtd\": 0,\n            \"interestAccruedThisPeriod\": 0,\n            \"interestAccruedYtd\": 0,\n            \"annualPercentageYieldEarnedBps\": 0,\n            \"averageDailyBalance\": 909387,\n            \"currency\": \"usd\",\n            \"mailingLine1\": \"Jerry Penn\",\n            \"mailingLine2\": \"12 Main St\",\n            \"mailingLine5\": \"New York NY 10001\",\n            \"mailingLine6\": \"US\",\n            \"lastModifiedAt\": \"2025-08-01T02:08:20.1161898-04:00\"\n        },\n        {\n            \"id\": \"9df39d21-8b4e-4709-baa3-b30d004bed7a\",\n            \"status\": \"Completed\",\n            \"accountNumber\": \"2819503463\",\n            \"description\": \"6/18/2025 - 6/30/2025\",\n            \"createdAt\": \"2025-07-01T00:36:26.7-04:00\",\n            \"periodStart\": \"2025-06-18T00:00:00-04:00\",\n            \"periodEnd\": \"2025-06-30T00:00:00-04:00\",\n            \"closedAt\": \"2025-07-01T00:36:26.787-04:00\",\n            \"partnerId\": \"cd9c12f4-7691-424a-b38b-af5b0134c611\",\n            \"productId\": \"83bed086-8182-4151-a1e3-af5b01362783\",\n            \"productName\": \"Devra Personal Checking\",\n            \"beginBalance\": 0,\n            \"endBalance\": 901000,\n            \"entryCount\": 2,\n            \"debitTotal\": 0,\n            \"creditTotal\": 901000,\n            \"documentCount\": 0,\n            \"depositTotal\": 901000,\n            \"withdrawalTotal\": 0,\n            \"feesTotal\": 0,\n            \"interestPaidThisPeriod\": 0,\n            \"interestPaidYtd\": 0,\n            \"interestAccruedThisPeriod\": 0,\n            \"interestAccruedYtd\": 0,\n            \"annualPercentageYieldEarnedBps\": 0,\n            \"averageDailyBalance\": 900615,\n            \"currency\": \"usd\",\n            \"mailingLine1\": \"Jerry Penn\",\n            \"mailingLine2\": \"12 Main St\",\n            \"mailingLine5\": \"New York NY 10001\",\n            \"mailingLine6\": \"US\",\n            \"lastModifiedAt\": \"2025-07-01T00:36:26.6989838-04:00\"\n        }\n    ],\n    \"pageNumber\": 1,\n    \"pageSize\": 5,\n    \"hasPreviousPage\": false,\n    \"hasNextPage\": false\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Bpj4xGoxiAWF9cgszfQRr"
  },
  "request": {
    "pathParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Number of the account that you want the bank statement for",
        "": "Number of the account that you want the bank statement for"
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The statement ID, expressed as a GUID"
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Status of the statement document\n- Processing\n- Completed\n- Recalled",
      "children": []
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Account number of the account this response describes",
      "children": []
    },
    {
      "name": "description",
      "kind": "optional",
      "type": "string",
      "description": "System description created for the statement",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "When the document was created. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm].",
      "children": []
    },
    {
      "name": "periodStart",
      "kind": "optional",
      "type": "string",
      "description": "Date and time when the statement data starts from",
      "children": []
    },
    {
      "name": "periodEnd",
      "kind": "optional",
      "type": "string",
      "description": "Date and time when the statement data ends at",
      "children": []
    },
    {
      "name": "closedAt",
      "kind": "optional",
      "type": "string",
      "description": "Last settlement for the statement period",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "ID in GUID format of your specific product type on which this account is based",
      "children": []
    },
    {
      "name": "productName",
      "kind": "optional",
      "type": "string",
      "description": "Name associated with the product ID, for example, \"Fintech123 checking product\" ",
      "children": []
    },
    {
      "name": "beginBalance",
      "kind": "optional",
      "type": "integer",
      "description": "Balance in the account at the beginning of the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "endBalance",
      "kind": "optional",
      "type": "integer",
      "description": "Balance in the account at the end of the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "entryCount",
      "kind": "optional",
      "type": "integer",
      "description": "Number of activity records for this statement period",
      "children": []
    },
    {
      "name": "debitTotal",
      "kind": "optional",
      "type": "integer",
      "description": "Sum of all debits for the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "creditTotal",
      "kind": "optional",
      "type": "integer",
      "description": "Sum of all credits for the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "documentCount",
      "kind": "optional",
      "type": "integer",
      "description": "Number of statement documents generated",
      "children": []
    },
    {
      "name": "depositTotal",
      "kind": "optional",
      "type": "integer",
      "description": "Sum of all deposits for the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "withdrawalTotal",
      "kind": "optional",
      "type": "integer",
      "description": "Sum of all withdrawals for the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "feesTotal",
      "kind": "optional",
      "type": "integer",
      "description": "Sum of all fees for the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "interestPaidThisPeriod",
      "kind": "optional",
      "type": "integer",
      "description": "Total interest paid for the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "interestPaidYtd",
      "kind": "optional",
      "type": "integer",
      "description": "Total interest paid since the beginning of the calendar year in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "interestAccruedThisPeriod",
      "kind": "optional",
      "type": "integer",
      "description": "Total interest accrued for the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "interestAccruedYtd",
      "kind": "optional",
      "type": "integer",
      "description": "Total interest accrued since the beginning of the calendar year in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "annualPercentageYieldEarnedBps",
      "kind": "optional",
      "type": "integer",
      "description": "The percentage yield earnings for the year, expressed in basis points (BPS). A basis point is 1/100th of a percent,",
      "children": []
    },
    {
      "name": "averageDailyBalance",
      "kind": "optional",
      "type": "integer",
      "description": "Average balance in the account per day for the statement period in positive integral cents. For example, $1.00 appears as 100.",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "Currency held in the account",
      "children": []
    },
    {
      "name": "mailingLine1",
      "kind": "optional",
      "type": "string",
      "description": "Mailing address for the statement, expressed in up to 7 mailingLine attributes",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-v1ddaaccountsaccountnumberstatements",
  "legacyHash": "DgZcT5IaqqXtxp9W2XaxR"
}
```
:::

